@import '../variables/color.scss';
.o-dpck {
    .o-input {
        font-size: 14px;
        line-height: 20px;
        height: 40px;
        width: 240px;
        padding: 10px 16px;
        color: $grey900 !important;
        background-color: $grey100;
        border: none;
    }
    .o-drop__menu {
        margin-top: 8px;
        padding-left: 12px;
        padding-right: 12px;
        width: 360px !important;
        height: 392px;
        box-shadow: 0 2px 5px 0 rgba(28, 23, 38, 0.1);
    }
    &__header {
        background-color: $grey100 !important;
        margin-right: -12px;
        margin-left: -12px;
        height: 48px;
        display: flex;
        align-items: center;
        justify-content: center;
        // position: relative;
        // width: 248px !important;
    }

    &__table {
        width: 336px !important;
        &__body {
            width: 336px !important;
            height: 238px;
            // padding-bottom: 12px;
        }
        &__head {
            background-color: $grey100;
            width: 360px !important;
            // width: 248px !important;
            // margin-right: -12px !important;
            margin-left: -12px !important;
            margin-right: -12px !important;
            padding-left: 12px;
            padding-right: 12px;
            margin-bottom: 8px !important;
            display: inline-flex;
            justify-content: space-between;
            .o-dpck__table__cell {
                background-color: $grey100 !important;
            }
        }
        &__row {
            display: inline-flex;
            justify-content: space-between;
            margin-bottom: 4px !important;
            width: 336px !important;
        }
        &__cell {
            display: inline-flex;
            align-items: center;
            justify-content: center;
            position: relative;
            background-color: $white !important;

            // display: inline-flexbox !important;
            width: 48px !important;
            // padding: 6px !important;
            height: 32px !important;
            line-height: 20px !important;
            font-size: 14px;
            // text-align: center;
            // margin: 6px;
            // &:first-child {
            //     margin-left: 8px;
            // }
            // &:last-child {
            //     margin-right: 8px;
            // }
            span {
                display: inline-block;
                width: 32px;
                height: 32px;
                padding-top: 7px;
            }
            &--within-hovered {
                background-color: $purple100 !important;
            }

            &--within-selected,
            &--within-hovered {
                background-color: $purple100 !important;
                color: $grey900 !important;
                // margin: 12px !important;
                // &::before {
                //     width: 48px;
                //     height: 32px;
                //     position: absolute;
                //     left: -8px;
                //     content: '';
                //     z-index: -1;
                //     background-color: $purple100;
                // }
                // &::after {
                //     width: 8px;
                //     height: 32px;
                //     position: absolute;
                //     right: -8px;
                //     content: '';
                //     z-index: -1;
                //     background-color: $purple100;
                // }
            }

            &--first-hovered,
            &--first-selected {
                span {
                    background-color: $purple600 !important;
                    border-radius: 50%;
                    color: $white !important;
                    z-index: 2;
                }
                &::after {
                    width: 24px;
                    height: 32px;
                    position: absolute;
                    right: 0;
                    // top: 50%;
                    // right: -8px;
                    content: '';
                    // border-radius: 50%;
                    z-index: 0;
                    background-color: $purple100;
                    // margin: -16px 0 0 -16px;
                }
            }
            &--last-hovered,
            &--last-selected {
                span {
                    background-color: $purple600 !important;
                    border-radius: 50%;
                    color: $white !important;
                    z-index: 2;
                }
                &::before {
                    width: 24px;
                    height: 32px;
                    position: absolute;
                    left: 0;
                    // top: 50%;
                    // left: 0;
                    content: '';
                    // border-radius: 50%;
                    z-index: 0;
                    background-color: $purple100;
                    // margin: -16px 0 0 -16px;
                }
            }
        }
    }
    .o-sel-arrow {
        background-image: none;
    }
    .o-ctrl-sel {
        select {
            font-size: 16px !important;
            font-weight: 700 !important;
            padding-right: 0;
            font-size: 14px !important;
            border: none;
            text-decoration: none !important;
            &:focus {
                outline: 1px solid $purple100 !important;
            }
            background-color: $grey100;
        }
    }
    button.o-dpck__header__previous {
        background-color: $white !important;
        border: none !important;
        color: $grey900 !important;
        background-color: $grey100 !important;
        width: 14px !important;
        position: absolute !important;
        left: 0 !important;
        &::after {
            content: '\2039';
            font-weight: bold;
        }
    }
    button.o-dpck__header__next {
        background-color: $white !important;
        border: none !important;
        color: $grey900 !important;
        background-color: $grey100 !important;
        width: 14px !important;
        position: absolute !important;
        right: 0 !important;
        &::before {
            content: '\203A';
            font-weight: bold;
        }
    }
    // border-spacing: 10px;

    &__footer .footer-container {
        height: 64px;
        padding-bottom: 24px;
        text-align: right;
        width: 336px !important;
        // width: 224px !important;
        display: flex;
        justify-content: right;
        button {
            font-size: 16px;
            line-height: 24px;
            height: 40px;
            margin-left: 16px;
            border-width: 1px;
            text-align: center;
            padding: 7px 24px;
            padding-left: 24px;
            padding-right: 24px;
            border-radius: 24px;
            font-weight: 700;
            &.o-btn--danger {
                background-color: white !important;
                color: $grey600;
            }
            &.o-btn--primary {
                background-color: $purple600 !important;
            }
        }
    }
}
